ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::StructuredAnnotations Class Reference

StructuredAnnotations model object. More...

`#include <ome/xml/model/StructuredAnnotations.h>`

Inheritance diagram for ome::xml::model::StructuredAnnotations:
[legend]
Collaboration diagram for ome::xml::model::StructuredAnnotations:
[legend]

## Classes
class | Impl
| Private implementation details of StructuredAnnotations model object. More...

## Public Member Functions
| StructuredAnnotations ()
| Default constructor.
| StructuredAnnotations (const StructuredAnnotations &copy)
| Copy constructor. More...
virtual | ~StructuredAnnotations ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type | sizeOfXMLAnnotationList () const
| Get size of linked XMLAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > > & | getXMLAnnotationList ()
| Get the XMLAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > > & | getXMLAnnotationList () const
| Get the XMLAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & | getXMLAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type index)
| Get XMLAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & | getXMLAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type index) const
| Get XMLAnnotation. More...
void | setXMLAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > &xmlAnnotation)
| Set XMLAnnotation. More...
void | addXMLAnnotation (ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > &xmlAnnotation)
| Add XMLAnnotation. More...
void | removeXMLAnnotation (ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > &xmlAnnotation)
| Remove XMLAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type | sizeOfFileAnnotationList () const
| Get size of linked FileAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > > & | getFileAnnotationList ()
| Get the FileAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > > & | getFileAnnotationList () const
| Get the FileAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & | getFileAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type index)
| Get FileAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & | getFileAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type index) const
| Get FileAnnotation. More...
void | setFileAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::FileAnnotation > &fileAnnotation)
| Set FileAnnotation. More...
void | addFileAnnotation (ome::compat::shared_ptr< ome::xml::model::FileAnnotation > &fileAnnotation)
| Add FileAnnotation. More...
void | removeFileAnnotation (ome::compat::shared_ptr< ome::xml::model::FileAnnotation > &fileAnnotation)
| Remove FileAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type | sizeOfListAnnotationList () const
| Get size of linked ListAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > > & | getListAnnotationList ()
| Get the ListAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > > & | getListAnnotationList () const
| Get the ListAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & | getListAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type index)
| Get ListAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & | getListAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type index) const
| Get ListAnnotation. More...
void | setListAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::ListAnnotation > &listAnnotation)
| Set ListAnnotation. More...
void | addListAnnotation (ome::compat::shared_ptr< ome::xml::model::ListAnnotation > &listAnnotation)
| Add ListAnnotation. More...
void | removeListAnnotation (ome::compat::shared_ptr< ome::xml::model::ListAnnotation > &listAnnotation)
| Remove ListAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type | sizeOfLongAnnotationList () const
| Get size of linked LongAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > > & | getLongAnnotationList ()
| Get the LongAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > > & | getLongAnnotationList () const
| Get the LongAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & | getLongAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type index)
| Get LongAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & | getLongAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type index) const
| Get LongAnnotation. More...
void | setLongAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::LongAnnotation > &longAnnotation)
| Set LongAnnotation. More...
void | addLongAnnotation (ome::compat::shared_ptr< ome::xml::model::LongAnnotation > &longAnnotation)
| Add LongAnnotation. More...
void | removeLongAnnotation (ome::compat::shared_ptr< ome::xml::model::LongAnnotation > &longAnnotation)
| Remove LongAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type | sizeOfDoubleAnnotationList () const
| Get size of linked DoubleAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > > & | getDoubleAnnotationList ()
| Get the DoubleAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > > & | getDoubleAnnotationList () const
| Get the DoubleAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & | getDoubleAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type index)
| Get DoubleAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & | getDoubleAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type index) const
| Get DoubleAnnotation. More...
void | setDoubleAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > &doubleAnnotation)
| Set DoubleAnnotation. More...
void | addDoubleAnnotation (ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > &doubleAnnotation)
| Add DoubleAnnotation. More...
void | removeDoubleAnnotation (ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > &doubleAnnotation)
| Remove DoubleAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type | sizeOfCommentAnnotationList () const
| Get size of linked CommentAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > > & | getCommentAnnotationList ()
| Get the CommentAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > > & | getCommentAnnotationList () const
| Get the CommentAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & | getCommentAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type index)
| Get CommentAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & | getCommentAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type index) const
| Get CommentAnnotation. More...
void | setCommentAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > &commentAnnotation)
| Set CommentAnnotation. More...
void | addCommentAnnotation (ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > &commentAnnotation)
| Add CommentAnnotation. More...
void | removeCommentAnnotation (ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > &commentAnnotation)
| Remove CommentAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type | sizeOfBooleanAnnotationList () const
| Get size of linked BooleanAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > > & | getBooleanAnnotationList ()
| Get the BooleanAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > > & | getBooleanAnnotationList () const
| Get the BooleanAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & | getBooleanAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type index)
| Get BooleanAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & | getBooleanAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type index) const
| Get BooleanAnnotation. More...
void | setBooleanAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > &booleanAnnotation)
| Set BooleanAnnotation. More...
void | addBooleanAnnotation (ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > &booleanAnnotation)
| Add BooleanAnnotation. More...
void | removeBooleanAnnotation (ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > &booleanAnnotation)
| Remove BooleanAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type | sizeOfTimestampAnnotationList () const
| Get size of linked TimestampAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > > & | getTimestampAnnotationList ()
| Get the TimestampAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > > & | getTimestampAnnotationList () const
| Get the TimestampAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & | getTimestampAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type index)
| Get TimestampAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & | getTimestampAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type index) const
| Get TimestampAnnotation. More...
void | setTimestampAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > &timestampAnnotation)
| Set TimestampAnnotation. More...
void | addTimestampAnnotation (ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > &timestampAnnotation)
| Add TimestampAnnotation. More...
void | removeTimestampAnnotation (ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > &timestampAnnotation)
| Remove TimestampAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type | sizeOfTagAnnotationList () const
| Get size of linked TagAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > > & | getTagAnnotationList ()
| Get the TagAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > > & | getTagAnnotationList () const
| Get the TagAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & | getTagAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type index)
| Get TagAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & | getTagAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type index) const
| Get TagAnnotation. More...
void | setTagAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::TagAnnotation > &tagAnnotation)
| Set TagAnnotation. More...
void | addTagAnnotation (ome::compat::shared_ptr< ome::xml::model::TagAnnotation > &tagAnnotation)
| Add TagAnnotation. More...
void | removeTagAnnotation (ome::compat::shared_ptr< ome::xml::model::TagAnnotation > &tagAnnotation)
| Remove TagAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type | sizeOfTermAnnotationList () const
| Get size of linked TermAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > > & | getTermAnnotationList ()
| Get the TermAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > > & | getTermAnnotationList () const
| Get the TermAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & | getTermAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type index)
| Get TermAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & | getTermAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type index) const
| Get TermAnnotation. More...
void | setTermAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::TermAnnotation > &termAnnotation)
| Set TermAnnotation. More...
void | addTermAnnotation (ome::compat::shared_ptr< ome::xml::model::TermAnnotation > &termAnnotation)
| Add TermAnnotation. More...
void | removeTermAnnotation (ome::compat::shared_ptr< ome::xml::model::TermAnnotation > &termAnnotation)
| Remove TermAnnotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type | sizeOfMapAnnotationList () const
| Get size of linked MapAnnotation list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > > & | getMapAnnotationList ()
| Get the MapAnnotation list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > > & | getMapAnnotationList () const
| Get the MapAnnotation list. More...
ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & | getMapAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type index)
| Get MapAnnotation. More...
const ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & | getMapAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type index) const
| Get MapAnnotation. More...
void | setMapAnnotation (std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type index, ome::compat::shared_ptr< ome::xml::model::MapAnnotation > &mapAnnotation)
| Set MapAnnotation. More...
void | addMapAnnotation (ome::compat::shared_ptr< ome::xml::model::MapAnnotation > &mapAnnotation)
| Add MapAnnotation. More...
void | removeMapAnnotation (ome::compat::shared_ptr< ome::xml::model::MapAnnotation > &mapAnnotation)
| Remove MapAnnotation. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< StructuredAnnotations > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a StructuredAnnotations model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
StructuredAnnotations & | operator= (const StructuredAnnotations &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

StructuredAnnotations model object.

## Constructor & Destructor Documentation

## § StructuredAnnotations()

ome::xml::model::StructuredAnnotations::StructuredAnnotations | ( | const StructuredAnnotations & | copy | ) |

Copy constructor.

Parameters

  copy | the StructuredAnnotations to copy.

## Member Function Documentation

## § addBooleanAnnotation()

void ome::xml::model::StructuredAnnotations::addBooleanAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & | booleanAnnotation | ) |

Add BooleanAnnotation.

Parameters

  booleanAnnotation | the BooleanAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addCommentAnnotation()

void ome::xml::model::StructuredAnnotations::addCommentAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & | commentAnnotation | ) |

Add CommentAnnotation.

Parameters

  commentAnnotation | the CommentAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addDoubleAnnotation()

void ome::xml::model::StructuredAnnotations::addDoubleAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & | doubleAnnotation | ) |

Add DoubleAnnotation.

Parameters

  doubleAnnotation | the DoubleAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addFileAnnotation()

void ome::xml::model::StructuredAnnotations::addFileAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & | fileAnnotation | ) |

Add FileAnnotation.

Parameters

  fileAnnotation | the FileAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addListAnnotation()

void ome::xml::model::StructuredAnnotations::addListAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & | listAnnotation | ) |

Add ListAnnotation.

Parameters

  listAnnotation | the ListAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addLongAnnotation()

void ome::xml::model::StructuredAnnotations::addLongAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & | longAnnotation | ) |

Add LongAnnotation.

Parameters

  longAnnotation | the LongAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addMapAnnotation()

void ome::xml::model::StructuredAnnotations::addMapAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & | mapAnnotation | ) |

Add MapAnnotation.

Parameters

  mapAnnotation | the MapAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addTagAnnotation()

void ome::xml::model::StructuredAnnotations::addTagAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & | tagAnnotation | ) |

Add TagAnnotation.

Parameters

  tagAnnotation | the TagAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addTermAnnotation()

void ome::xml::model::StructuredAnnotations::addTermAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & | termAnnotation | ) |

Add TermAnnotation.

Parameters

  termAnnotation | the TermAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addTimestampAnnotation()

void ome::xml::model::StructuredAnnotations::addTimestampAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & | timestampAnnotation | ) |

Add TimestampAnnotation.

Parameters

  timestampAnnotation | the TimestampAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addXMLAnnotation()

void ome::xml::model::StructuredAnnotations::addXMLAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & | xmlAnnotation | ) |

Add XMLAnnotation.

Parameters

  xmlAnnotation | the XMLAnnotation to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § asXMLElement()

common::xml::dom::Element ome::xml::model::StructuredAnnotations::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::StructuredAnnotations::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), and impl.

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< StructuredAnnotations > ome::xml::model::StructuredAnnotations::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a StructuredAnnotations model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::OME::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::StructuredAnnotations::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getBooleanAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & ome::xml::model::StructuredAnnotations::getBooleanAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type | index | ) |

Get BooleanAnnotation.

Parameters

  index | the index number of the BooleanAnnotation.

Returns
  the BooleanAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getBooleanAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & ome::xml::model::StructuredAnnotations::getBooleanAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type | index | ) | const

Get BooleanAnnotation.

Parameters

  index | the index number of the BooleanAnnotation.

Returns
  the BooleanAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getBooleanAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > > & ome::xml::model::StructuredAnnotations::getBooleanAnnotationList | ( |  | ) |

Get the BooleanAnnotation list.

Returns
  a reference to the list.

References impl.

## § getBooleanAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > > & ome::xml::model::StructuredAnnotations::getBooleanAnnotationList | ( |  | ) | const

Get the BooleanAnnotation list.

Returns
  a reference to the list.

References impl.

## § getCommentAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & ome::xml::model::StructuredAnnotations::getCommentAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type | index | ) |

Get CommentAnnotation.

Parameters

  index | the index number of the CommentAnnotation.

Returns
  the CommentAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getCommentAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & ome::xml::model::StructuredAnnotations::getCommentAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type | index | ) | const

Get CommentAnnotation.

Parameters

  index | the index number of the CommentAnnotation.

Returns
  the CommentAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getCommentAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > > & ome::xml::model::StructuredAnnotations::getCommentAnnotationList | ( |  | ) |

Get the CommentAnnotation list.

Returns
  a reference to the list.

References impl.

## § getCommentAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > > & ome::xml::model::StructuredAnnotations::getCommentAnnotationList | ( |  | ) | const

Get the CommentAnnotation list.

Returns
  a reference to the list.

References impl.

## § getDoubleAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & ome::xml::model::StructuredAnnotations::getDoubleAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type | index | ) |

Get DoubleAnnotation.

Parameters

  index | the index number of the DoubleAnnotation.

Returns
  the DoubleAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getDoubleAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & ome::xml::model::StructuredAnnotations::getDoubleAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type | index | ) | const

Get DoubleAnnotation.

Parameters

  index | the index number of the DoubleAnnotation.

Returns
  the DoubleAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getDoubleAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > > & ome::xml::model::StructuredAnnotations::getDoubleAnnotationList | ( |  | ) |

Get the DoubleAnnotation list.

Returns
  a reference to the list.

References impl.

## § getDoubleAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > > & ome::xml::model::StructuredAnnotations::getDoubleAnnotationList | ( |  | ) | const

Get the DoubleAnnotation list.

Returns
  a reference to the list.

References impl.

## § getFileAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & ome::xml::model::StructuredAnnotations::getFileAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type | index | ) |

Get FileAnnotation.

Parameters

  index | the index number of the FileAnnotation.

Returns
  the FileAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getFileAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & ome::xml::model::StructuredAnnotations::getFileAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type | index | ) | const

Get FileAnnotation.

Parameters

  index | the index number of the FileAnnotation.

Returns
  the FileAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getFileAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > > & ome::xml::model::StructuredAnnotations::getFileAnnotationList | ( |  | ) |

Get the FileAnnotation list.

Returns
  a reference to the list.

References impl.

## § getFileAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > > & ome::xml::model::StructuredAnnotations::getFileAnnotationList | ( |  | ) | const

Get the FileAnnotation list.

Returns
  a reference to the list.

References impl.

## § getListAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & ome::xml::model::StructuredAnnotations::getListAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type | index | ) |

Get ListAnnotation.

Parameters

  index | the index number of the ListAnnotation.

Returns
  the ListAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getListAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & ome::xml::model::StructuredAnnotations::getListAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type | index | ) | const

Get ListAnnotation.

Parameters

  index | the index number of the ListAnnotation.

Returns
  the ListAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getListAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > > & ome::xml::model::StructuredAnnotations::getListAnnotationList | ( |  | ) |

Get the ListAnnotation list.

Returns
  a reference to the list.

References impl.

## § getListAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > > & ome::xml::model::StructuredAnnotations::getListAnnotationList | ( |  | ) | const

Get the ListAnnotation list.

Returns
  a reference to the list.

References impl.

## § getLongAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & ome::xml::model::StructuredAnnotations::getLongAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type | index | ) |

Get LongAnnotation.

Parameters

  index | the index number of the LongAnnotation.

Returns
  the LongAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLongAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & ome::xml::model::StructuredAnnotations::getLongAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type | index | ) | const

Get LongAnnotation.

Parameters

  index | the index number of the LongAnnotation.

Returns
  the LongAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLongAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > > & ome::xml::model::StructuredAnnotations::getLongAnnotationList | ( |  | ) |

Get the LongAnnotation list.

Returns
  a reference to the list.

References impl.

## § getLongAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > > & ome::xml::model::StructuredAnnotations::getLongAnnotationList | ( |  | ) | const

Get the LongAnnotation list.

Returns
  a reference to the list.

References impl.

## § getMapAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & ome::xml::model::StructuredAnnotations::getMapAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type | index | ) |

Get MapAnnotation.

Parameters

  index | the index number of the MapAnnotation.

Returns
  the MapAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getMapAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & ome::xml::model::StructuredAnnotations::getMapAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type | index | ) | const

Get MapAnnotation.

Parameters

  index | the index number of the MapAnnotation.

Returns
  the MapAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getMapAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > > & ome::xml::model::StructuredAnnotations::getMapAnnotationList | ( |  | ) |

Get the MapAnnotation list.

Returns
  a reference to the list.

References impl.

## § getMapAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > > & ome::xml::model::StructuredAnnotations::getMapAnnotationList | ( |  | ) | const

Get the MapAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTagAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & ome::xml::model::StructuredAnnotations::getTagAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type | index | ) |

Get TagAnnotation.

Parameters

  index | the index number of the TagAnnotation.

Returns
  the TagAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTagAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & ome::xml::model::StructuredAnnotations::getTagAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type | index | ) | const

Get TagAnnotation.

Parameters

  index | the index number of the TagAnnotation.

Returns
  the TagAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTagAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > > & ome::xml::model::StructuredAnnotations::getTagAnnotationList | ( |  | ) |

Get the TagAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTagAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > > & ome::xml::model::StructuredAnnotations::getTagAnnotationList | ( |  | ) | const

Get the TagAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTermAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & ome::xml::model::StructuredAnnotations::getTermAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type | index | ) |

Get TermAnnotation.

Parameters

  index | the index number of the TermAnnotation.

Returns
  the TermAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTermAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & ome::xml::model::StructuredAnnotations::getTermAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type | index | ) | const

Get TermAnnotation.

Parameters

  index | the index number of the TermAnnotation.

Returns
  the TermAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTermAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > > & ome::xml::model::StructuredAnnotations::getTermAnnotationList | ( |  | ) |

Get the TermAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTermAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > > & ome::xml::model::StructuredAnnotations::getTermAnnotationList | ( |  | ) | const

Get the TermAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTimestampAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & ome::xml::model::StructuredAnnotations::getTimestampAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type | index | ) |

Get TimestampAnnotation.

Parameters

  index | the index number of the TimestampAnnotation.

Returns
  the TimestampAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTimestampAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & ome::xml::model::StructuredAnnotations::getTimestampAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type | index | ) | const

Get TimestampAnnotation.

Parameters

  index | the index number of the TimestampAnnotation.

Returns
  the TimestampAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getTimestampAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > > & ome::xml::model::StructuredAnnotations::getTimestampAnnotationList | ( |  | ) |

Get the TimestampAnnotation list.

Returns
  a reference to the list.

References impl.

## § getTimestampAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > > & ome::xml::model::StructuredAnnotations::getTimestampAnnotationList | ( |  | ) | const

Get the TimestampAnnotation list.

Returns
  a reference to the list.

References impl.

## § getXMLAnnotation() [1/2]

ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & ome::xml::model::StructuredAnnotations::getXMLAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type | index | ) |

Get XMLAnnotation.

Parameters

  index | the index number of the XMLAnnotation.

Returns
  the XMLAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getXMLAnnotation() [2/2]

const ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & ome::xml::model::StructuredAnnotations::getXMLAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type | index | ) | const

Get XMLAnnotation.

Parameters

  index | the index number of the XMLAnnotation.

Returns
  the XMLAnnotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getXMLAnnotationList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > > & ome::xml::model::StructuredAnnotations::getXMLAnnotationList | ( |  | ) |

Get the XMLAnnotation list.

Returns
  a reference to the list.

References impl.

## § getXMLAnnotationList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > > & ome::xml::model::StructuredAnnotations::getXMLAnnotationList | ( |  | ) | const

Get the XMLAnnotation list.

Returns
  a reference to the list.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::StructuredAnnotations::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::StructuredAnnotations::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

References ome::xml::model::detail::OMEModelObject::link(), and ome::xml::model::detail::OMEModelObject::logger.

## § removeBooleanAnnotation()

void ome::xml::model::StructuredAnnotations::removeBooleanAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & | booleanAnnotation | ) |

Remove BooleanAnnotation.

Parameters

  booleanAnnotation | the BooleanAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeCommentAnnotation()

void ome::xml::model::StructuredAnnotations::removeCommentAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & | commentAnnotation | ) |

Remove CommentAnnotation.

Parameters

  commentAnnotation | the CommentAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeDoubleAnnotation()

void ome::xml::model::StructuredAnnotations::removeDoubleAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & | doubleAnnotation | ) |

Remove DoubleAnnotation.

Parameters

  doubleAnnotation | the DoubleAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeFileAnnotation()

void ome::xml::model::StructuredAnnotations::removeFileAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & | fileAnnotation | ) |

Remove FileAnnotation.

Parameters

  fileAnnotation | the FileAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeListAnnotation()

void ome::xml::model::StructuredAnnotations::removeListAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & | listAnnotation | ) |

Remove ListAnnotation.

Parameters

  listAnnotation | the ListAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeLongAnnotation()

void ome::xml::model::StructuredAnnotations::removeLongAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & | longAnnotation | ) |

Remove LongAnnotation.

Parameters

  longAnnotation | the LongAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeMapAnnotation()

void ome::xml::model::StructuredAnnotations::removeMapAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & | mapAnnotation | ) |

Remove MapAnnotation.

Parameters

  mapAnnotation | the MapAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeTagAnnotation()

void ome::xml::model::StructuredAnnotations::removeTagAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & | tagAnnotation | ) |

Remove TagAnnotation.

Parameters

  tagAnnotation | the TagAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeTermAnnotation()

void ome::xml::model::StructuredAnnotations::removeTermAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & | termAnnotation | ) |

Remove TermAnnotation.

Parameters

  termAnnotation | the TermAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeTimestampAnnotation()

void ome::xml::model::StructuredAnnotations::removeTimestampAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & | timestampAnnotation | ) |

Remove TimestampAnnotation.

Parameters

  timestampAnnotation | the TimestampAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeXMLAnnotation()

void ome::xml::model::StructuredAnnotations::removeXMLAnnotation | ( | ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & | xmlAnnotation | ) |

Remove XMLAnnotation.

Parameters

  xmlAnnotation | the XMLAnnotation to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § setBooleanAnnotation()

void ome::xml::model::StructuredAnnotations::setBooleanAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > & | booleanAnnotation
| ) |  |

Set BooleanAnnotation.

Parameters

  index | the index number of the BooleanAnnotation.
  booleanAnnotation | the BooleanAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setCommentAnnotation()

void ome::xml::model::StructuredAnnotations::setCommentAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > & | commentAnnotation
| ) |  |

Set CommentAnnotation.

Parameters

  index | the index number of the CommentAnnotation.
  commentAnnotation | the CommentAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setDoubleAnnotation()

void ome::xml::model::StructuredAnnotations::setDoubleAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > & | doubleAnnotation
| ) |  |

Set DoubleAnnotation.

Parameters

  index | the index number of the DoubleAnnotation.
  doubleAnnotation | the DoubleAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setFileAnnotation()

void ome::xml::model::StructuredAnnotations::setFileAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::FileAnnotation > & | fileAnnotation
| ) |  |

Set FileAnnotation.

Parameters

  index | the index number of the FileAnnotation.
  fileAnnotation | the FileAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setListAnnotation()

void ome::xml::model::StructuredAnnotations::setListAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::ListAnnotation > & | listAnnotation
| ) |  |

Set ListAnnotation.

Parameters

  index | the index number of the ListAnnotation.
  listAnnotation | the ListAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLongAnnotation()

void ome::xml::model::StructuredAnnotations::setLongAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::LongAnnotation > & | longAnnotation
| ) |  |

Set LongAnnotation.

Parameters

  index | the index number of the LongAnnotation.
  longAnnotation | the LongAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setMapAnnotation()

void ome::xml::model::StructuredAnnotations::setMapAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::MapAnnotation > & | mapAnnotation
| ) |  |

Set MapAnnotation.

Parameters

  index | the index number of the MapAnnotation.
  mapAnnotation | the MapAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setTagAnnotation()

void ome::xml::model::StructuredAnnotations::setTagAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::TagAnnotation > & | tagAnnotation
| ) |  |

Set TagAnnotation.

Parameters

  index | the index number of the TagAnnotation.
  tagAnnotation | the TagAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setTermAnnotation()

void ome::xml::model::StructuredAnnotations::setTermAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::TermAnnotation > & | termAnnotation
| ) |  |

Set TermAnnotation.

Parameters

  index | the index number of the TermAnnotation.
  termAnnotation | the TermAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setTimestampAnnotation()

void ome::xml::model::StructuredAnnotations::setTimestampAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > & | timestampAnnotation
| ) |  |

Set TimestampAnnotation.

Parameters

  index | the index number of the TimestampAnnotation.
  timestampAnnotation | the TimestampAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setXMLAnnotation()

void ome::xml::model::StructuredAnnotations::setXMLAnnotation | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > & | xmlAnnotation
| ) |  |

Set XMLAnnotation.

Parameters

  index | the index number of the XMLAnnotation.
  xmlAnnotation | the XMLAnnotation to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § sizeOfBooleanAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfBooleanAnnotationList | ( |  | ) | const

Get size of linked BooleanAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfCommentAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfCommentAnnotationList | ( |  | ) | const

Get size of linked CommentAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfDoubleAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfDoubleAnnotationList | ( |  | ) | const

Get size of linked DoubleAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfFileAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfFileAnnotationList | ( |  | ) | const

Get size of linked FileAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfListAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfListAnnotationList | ( |  | ) | const

Get size of linked ListAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLongAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfLongAnnotationList | ( |  | ) | const

Get size of linked LongAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfMapAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfMapAnnotationList | ( |  | ) | const

Get size of linked MapAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfTagAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfTagAnnotationList | ( |  | ) | const

Get size of linked TagAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfTermAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfTermAnnotationList | ( |  | ) | const

Get size of linked TermAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfTimestampAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfTimestampAnnotationList | ( |  | ) | const

Get size of linked TimestampAnnotation list.

Returns
  the size of the list.

References impl.

## § sizeOfXMLAnnotationList()

std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > >::size_type ome::xml::model::StructuredAnnotations::sizeOfXMLAnnotationList | ( |  | ) | const

Get size of linked XMLAnnotation list.

Returns
  the size of the list.

References impl.

## § update()

void ome::xml::model::StructuredAnnotations::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References addBooleanAnnotation(), addCommentAnnotation(), addDoubleAnnotation(), addFileAnnotation(), addListAnnotation(), addLongAnnotation(), addMapAnnotation(), addTagAnnotation(), addTermAnnotation(), addTimestampAnnotation(), addXMLAnnotation(), ome::xml::model::CommentAnnotation::create(), ome::xml::model::BooleanAnnotation::create(), ome::xml::model::XMLAnnotation::create(), ome::xml::model::DoubleAnnotation::create(), ome::xml::model::ListAnnotation::create(), ome::xml::model::LongAnnotation::create(), ome::xml::model::TagAnnotation::create(), ome::xml::model::TermAnnotation::create(), ome::xml::model::FileAnnotation::create(), ome::xml::model::MapAnnotation::create(), ome::xml::model::TimestampAnnotation::create(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), ome::common::xml::dom::Element::getTagName(), ome::xml::model::detail::OMEModelObject::logger, ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::StructuredAnnotations::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/StructuredAnnotations.h
- ome/xml/model/StructuredAnnotations.cpp